#ifndef _CEGODATATYPE_H_INCLUDED_
#define _CEGODATATYPE_H_INCLUDED_
///////////////////////////////////////////////////////////////////////////////
//                                                         
// CegoDataType.h
// --------------
// Cego datatype definition
//                                                         
// Design and Implementation by Bjoern Lemke               
//     
// (C)opyright 2000-2025 Bjoern Lemke
//
// INTERFACE MODULE
//
// Class: CegoDataType
// 
// Description: The enumeration represents all supported datatype, which can be managed by the
//              cego database system
//
// Status: CLEAN
//
///////////////////////////////////////////////////////////////////////////////

enum CegoDataType
{
  INT_TYPE,
  LONG_TYPE,
  VARCHAR_TYPE,
  BOOL_TYPE,
  DATETIME_TYPE,
  BIGINT_TYPE,
  FLOAT_TYPE,
  DOUBLE_TYPE,
  DECIMAL_TYPE,
  SMALLINT_TYPE,
  TINYINT_TYPE,
  BLOB_TYPE,
  CLOB_TYPE,
  NULL_TYPE,
  // just internal use
  PAGEID_TYPE
};
#endif




